<?php 
$wp_customize->add_section('pricing_area',array('title' => __( 'Pricing Section', 'Luzuk' ),'panel' => 'luzuk_premium_home_panel'));
$wp_customize->add_setting('pricing_area_disable',array('sanitize_callback' => 'luzuk_sanitize_text',));
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'pricing_area_disable',
        array(
            'settings' => 'pricing_area_disable',
            'section' => 'pricing_area',
            'label' => __( 'Disable Section', 'Luzuk' ),
            'on_off_label'  => array('on' => __( 'Yes', 'Luzuk' ), 'off' => __( 'No', 'Luzuk' )),
        )
    )
); 

backgroundManager($wp_customize, 'pricing', 'pricing_area', $color='#ecf6fa');

lzCustomLable($wp_customize, 'pricing_areapadding', 'pricing_area', 'Set Section Padding');

$wp_customize->add_setting(
    'pricing_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '6em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'pricing_areaTpadding',
    array(
        'settings'      => 'pricing_areaTpadding',
        'section'       => 'pricing_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'pricing_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '6em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'pricing_areaBpadding',
    array(
        'settings'      => 'pricing_areaBpadding',
        'section'       => 'pricing_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'Luzuk' )
    )
);

lzCustomLable($wp_customize, 'pricing_aheding', 'pricing_area', 'Section Heading');

    $wp_customize->add_setting('pricing_heading',array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( 'Pricing Plan', 'Luzuk' )));
    $wp_customize->add_control(
        'pricing_heading',
        array(
            'settings'      => 'pricing_heading',
            'section'       => 'pricing_area',
            'type'          => 'text',
            'label'         => __( 'Section Heading', 'Luzuk' )
        )
    );

addColorPalatOption($wp_customize, 'pricingarea_sectitle_color', 'pricing_area', 'Heading Color ', '#000');

addColorPalatOption($wp_customize, 'pricingarea_sectitleborder_color_one', 'pricing_area', 'Heading Border Color ', '#01b9fd');

    $wp_customize->add_setting('pricing_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'pricing_npp_heading',
            array(
                'settings'      => 'pricing_npp_heading',
                'section'       => 'pricing_area',
                'label'         => __( 'Pricing planes to show', 'Luzuk' ),
            )
        )
    );    
    $wp_customize->add_setting('pricing_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 2));
    $wp_customize->add_control(
        'pricing_npp_count',
        array(
            'settings'      => 'pricing_npp_count',
            'section'       => 'pricing_area',
            'type'          => 'select',
            'label'         => __( 'Number of plan to show', 'Luzuk' ),
            'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
        )
    );

    for($i=1;$i<=12;$i++){
        $wp_customize->add_setting('pricing_plan_heading_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text'));
        $wp_customize->add_control(
            new luzuk_Customize_Heading(
                $wp_customize,
                'pricing_plan_heading_'.$i,
                array(
                    'settings' => 'pricing_plan_heading_'.$i,
                    'section' => 'pricing_area',
                    'label' => __( 'Pricing Plan'.$i, 'Luzuk' ),
                )
            )
        ); 

$wp_customize->add_setting('pricing_plan_name_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( 'Standard Plan', 'Luzuk' )));
        $wp_customize->add_control(
            'pricing_plan_name_'.$i,
            array(
                'settings' => 'pricing_plan_name_'.$i,
                'section' => 'pricing_area',
                'type' => 'text',
                'label' => __( 'Add Plan Name Here:', 'Luzuk' )
            )
        );


        $wp_customize->add_setting('pricing_plan_unit_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( '$', 'Luzuk' )));
        $wp_customize->add_control(
            'pricing_plan_unit_'.$i,
            array(
                'settings' => 'pricing_plan_unit_'.$i,
                'section' => 'pricing_area',
                'type' => 'text',
                'label' => __( 'Add Plan Unit Here:', 'Luzuk' )
            )
        );
       
         $wp_customize->add_setting('pricing_plan_price_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( '30', 'Luzuk' )));
        $wp_customize->add_control(
            'pricing_plan_price_'.$i,
            array(
                'settings' => 'pricing_plan_price_'.$i,
                'section' => 'pricing_area',
                'type' => 'text',
                'label' => __( 'Add Plan Price Here:', 'Luzuk' )
            )
        );

         $wp_customize->add_setting('planPday_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( '/ day', 'Luzuk' )));
        $wp_customize->add_control(
            'planPday_'.$i,
            array(
                'settings' => 'planPday_'.$i,
                'section' => 'pricing_area',
                'type' => 'text',
                'label' => __( 'Add Day For Plan ', 'Luzuk' )
            )
        );

         $wp_customize->add_setting('pricing_plan_content_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( '  
            <li>All Time Free Wifi</li>
            <li>Home Made Food</li>
            <li>AC & Bathtub</li>', 'Luzuk' )));
        $wp_customize->add_control(
            'pricing_plan_content_'.$i,
            array(
                'settings' => 'pricing_plan_content_'.$i,
                'section' => 'pricing_area',
                'type' => 'textarea',
                'label' => __( 'Add Pricing Plan Content Here:', 'Luzuk' )
            )
        );

    /*code for button text*/
    $wp_customize->add_setting(
        'pricing_page_button_title_'.$i,
        array(
            'sanitize_callback'=>'luzuk_sanitize_text',
            'default'=> __('BOOK NOW', 'Luzuk')
        )
    );
    $wp_customize->add_control(
        'pricing_page_button_title_'.$i,
        array(
            'settings' =>'pricing_page_button_title_'.$i,
            'section' => 'pricing_area',
            'type'=> 'text',
            'label'=> __('Add Button Text Here:', 'Luzuk')
        )
    );

        lzAddElement($wp_customize, 'pricing_plan_url_'.$i, 'pricing_area', $type = 'text', $label="Add Link for Pricing Plan".$i."&nbsp;if Pricing Plan selected", $callback ='esc_url', $default='#');

    }

lzCustomLable($wp_customize, 'pricing_seclr', 'pricing_area', 'Section Color');

addColorPalatOption($wp_customize, 'pricingarea_planpriceboxbg_color_one', 'pricing_area', 'Plan Price Box Color One ', '#49a2c3');

addColorPalatOption($wp_customize, 'pricingarea_planpriceboxbg_color_two', 'pricing_area', 'Plan Price Box Color Two ', '#55e3ca');

addColorPalatOption($wp_customize, 'pricingarea_PlanbgClr', 'pricing_area', 'Plan Box Background Color ', '#fff');

addColorPalatOption($wp_customize, 'pricingarea_PlanNameColor', 'pricing_area', 'Plan Name Text color ', '#fff');

addColorPalatOption($wp_customize, 'pricingarea_Planprice_color', 'pricing_area', 'Plan Name Price Text color ', '#2da8c7');

addColorPalatOption($wp_customize, 'pricingarea_PlanContentlistColor', 'pricing_area', 'Plan Content List Color ', '#000');

addColorPalatOption($wp_customize, 'pricing_ButtontextColor', 'pricing_area', 'Plan Button Text Color ', '#fff');

addColorPalatOption($wp_customize, 'pricing_ButtontexthvClr', 'pricing_area', 'Plan Button Hover Text Color ', '#000');

addColorPalatOption($wp_customize, 'pricing_ButtonbgColor', 'pricing_area', 'Plan Button Background Color ', '#55e3ca');

addColorPalatOption($wp_customize, 'pricing_ButtonbghoverColor', 'pricing_area', 'Plan Button Background Hover Color ', '#01b9fd');

